<template>
	<mind-layout>
		<template slot="toolbar-actions">
			<el-button type="primary" icon="el-icon-error" size="small" 
				@click="clearEvents()" >Limpiar</el-button>
		</template>
		<!-- <div class="container"> -->
			<el-table
			height="100%"
      :data="eventList"
      style="width: 100%">
      <el-table-column
        prop="Event"
        label="Evento"
        width="150" sortable >
      </el-table-column>
      <el-table-column
				sortable
        prop="Timestamp"
        label="Timestamp"
        width="180">
      </el-table-column>
      <el-table-column  label="Detalle">
				<template slot-scope="{row}">
					<el-row>
						<el-col :xs="24" :lg="12" :xl="6" 
							v-for="(v, k) in row.Details" :key="k">
							<b>{{k}}</b>: <span>{{v}}</span>
						</el-col>
					</el-row>
					<!-- <div v-for="(v, k) in row.Details" :key="k">
						<b>{{k}}</b>: <span>{{v}}</span>
					</div> -->
				</template>
      </el-table-column>
    </el-table>
	<!-- </div> -->
		
	</mind-layout>
</template>

<script>
import events from '@/store/events'
export default {
  components: {
	},
	created() {
  },
  computed: {
    eventList(){
      return events.eventList
    }
  },
  methods: {
    clearEvents() {
      events.clearEvents()
    }
  },
	data() {
		return {
		}
	}
}
</script>
<style scoped>



</style>
